Skip to main content
GET
/
conversations
/
v3
/
conversations
/
threads
Get threads
curl --request GET \
  --url https://api.hubapi.com/conversations/v3/conversations/threads \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "archived": true,
      "associatedContactId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "inboxId": "<string>",
      "originalChannelAccountId": "<string>",
      "originalChannelId": "<string>",
      "spam": true,
      "status": "CLOSED",
      "assignedTo": "<string>",
      "closedAt": "2023-11-07T05:31:56Z",
      "latestMessageReceivedTimestamp": "2023-11-07T05:31:56Z",
      "latestMessageSentTimestamp": "2023-11-07T05:31:56Z",
      "latestMessageTimestamp": "2023-11-07T05:31:56Z",
      "threadAssociations": {
        "associatedTicketId": "<string>"
      }
    }
  ],
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

Requires one of the following products or higher.
Marketing HubMarketing Hub -Free
Sales HubSales Hub -Free
Service HubService Hub -Free
Content HubContent Hub -Free
Data HubData Hub -Free

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

after
string

The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.

archived
boolean

Whether to return only results that have been archived.

associatedContactId
integer<int64>
associatedTicketId
integer<int64>
association
enum<string>[]
Available options:
TICKET
inboxId
integer<int32>[]
latestMessageTimestampAfter
string<date-time>
limit
integer<int32>

The maximum number of results to display per page.

property
string
sort
string[]
threadStatus
enum<string>
Available options:
CLOSED,
OPEN

Response

successful operation

results
object[]
required
paging
object
Last modified on February 12, 2026